* {
    margin: 0;
    padding: 0;
    font-family: 'Rubik', sans-serif;
    box-sizing: border-box;
}
.back {
    background-color: rgb(233, 233, 233);
}
.all-in {
    grid-template-rows: 1fr 1fr 15fr;

    height: 100%;
}
.navbar {
    background-color: rgb(255, 255, 255);
    color: rgb(0, 0, 0);
    flex-direction:row ;
    height: 60px;

    
}
.title{
    float: left;
    margin-left: 40px;
    padding-top: 20px;
    padding-left: 40px; 
}

.darkmode {
    float: right;
    padding-top: 20px;
    margin-right: 50px;
}
.content-main >div {
    padding: 10px;
}

.content-main {
    display: flex;
    flex-direction: column;

}

.header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 25px;
    height: 50px;

}

.search-box {
    margin-left: 70px;
    width: 300px;
    height: 40px;
    padding: 5px;
}
.submit {
    float: right; 
    margin-right:35px;
    width: 250px;
    height: 45px;
    padding: 5px;

}
.card-layout > div {
    margin-left: 70px;
    margin-bottom: 30px;
    margin-top: 50px;
    background-color: white;
}
.card-layout{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 5px;
}

.card-actual{
    display: flex;
    flex-direction: column;
    width: 250px;
    height: 350px;
    border-radius: 7px 7px 0px 0px;
    padding-right: 10pxs;

}

.flag-container {
    width: 100%;
    height: 45%;
    border-radius: 7px 7px 0px 0px;
}
.card-detail {
    padding-left: 30px;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 55%;
}
.country-name {
    padding-top: 20px;
}
.country-detail div {
    padding-top: 25px;
}
.padding-details {
    padding-top: 10px;
    width: 100%;
}

/* changes ~!  */

#back_button {
    display: none;
    margin-left: 70px;
    width: 100px;
    height: 40px;
    padding: 5px;
    justify-content: center;
}

/* Country.css stylesheet starts formhere */
.allrounder {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 50px 50px 100px;
    margin-left: 2%;
    margin-right: 2%;
    height: fit-content;

}

.img-holder{
    width: 500px;
}

.content-holder{
    display: flex;
    flex-direction: column;
    width: 50%;
    padding: 10px;


}
.title-content  {
    width: 50%;
    padding-top: 20px;
}

.description{
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;

}
.description p{
    line-height: 30px;
}
.title-disc-row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#default-img {
    width: 100%;
    height: 100%;
}
.name-title{
    display: flex;
    flex-direction: column;
    width: 50%;
}
.title-disc-1 {
    font-size: 30px;
    line-height: 50px;
    font-weight: bold;
}
.border-holder {
    margin-top: 40px;
    margin-bottom: 40px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}













@media (max-width:800px) {
    * {
        font-family: 'Rubik', sans-serif;
        margin: 0;
        padding: 0;
    }
    .header >div {
        height: 400px;
        border: 2px solid;
        border-color: black;
        padding-bottom: 20px;
    }
    .header {
        display: flex;
        flex-direction: column;
 
    }
    .content-main >div {
        padding: 50px;
    }
    
    .content-main {
        display: flex;
        flex-direction: column;
    
    }
    
    .search-box {
        margin-left: 70px;
        width: 250px;
        height: 30px;
        padding: 5px;
    }
    .submit {
        margin-top: 20px;
        margin-left: 70px;
        width: 250px;
        height: 60px;
        padding: 5px;
    
    }
    .card-layout > div {
        margin-top: 0px;
        margin-left: 70px;
        margin-bottom: 30px;
        background-color: white;
    }
    .card-layout{
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        gap: 5px;
    }
    
    .card-actual{
        display: flex;
        flex-direction: column;
        width: 240px;
        height: 300px;
        border-radius: 7px 7px 0px 0px;
    
    }
    
    .flag-container {
        width: 100%;
        height: 45%;
        border-radius: 7px 7px 0px 0px;
    }
    .card-detail {
        padding-left: 30px;
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 55%;
    }
    .country-name {
        padding-top: 20px;
    }
    .country-detail div {
        padding-top: 25px;
    }
    .description{
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
    
    }
    .padding-details {
        padding-top: 10px;
    }
    
    
    
    
}